<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <meta id="piedata-url-prefix" name="url-prefix" content="{{ .URLPrefix }}">

  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate">
  <meta http-equiv="Pragma" content="no-cache">
  <meta http-equiv="Expires" content="0">

  <title>Data Explorer</title>
  <link rel="icon" type="image/x-icon" href="{{ .URLPrefix }}/piedata/static/builtin/img/favicon.ico">
  <link rel="stylesheet" href="{{ .URLPrefix }}/piedata/static/builtin/css/bootstrap.min.css" />
  <link rel="stylesheet" href="{{ .URLPrefix }}/piedata/static/builtin/css/all.min.css" />
  <link rel="stylesheet" href="{{ .URLPrefix }}/piedata/static/builtin/css/kubepie.css" />
  <link rel="stylesheet" href="{{ .URLPrefix }}/piedata/static/piedir/piedir.css" />
</head>

<body>
  <nav class="navbar navbar-expand-lg bg-primary border-bottom border-body">
    <div class="container-fluid">
      <a class="navbar-brand" href="/">
        <img src="{{ .URLPrefix }}/piedata/static/builtin/img/logo.png" height="48px" width="48px" alt="KubePie" />
        <span class="fw-bold">KubePie Data Explorer</span>
      </a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav justify-content-end ms-auto">
          {{- if or .PieCutFlags.PieDataRestartEnabled .PieCutFlags.PieDataTerminationEnabled }}
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
              Service
            </a>
            <ul class="dropdown-menu">
              {{- if .PieCutFlags.PieDataRestartEnabled }}
              <li><a class="dropdown-item" id="serviceRestart" href="#">Restart</a></li>
              {{- end }}
              {{- if .PieCutFlags.PieDataTerminationEnabled }}
              <li><a class="dropdown-item" id="serviceTerminate" href="#">Terminate</a></li>
              {{- end }}
            </ul>
          </li>
          {{- end }}
          {{- if .WebDAV }}
          <li class="nav-item">
            <a class="nav-link" data-bs-toggle="modal" data-bs-target="#webDavModal" href="#">WebDAV</a>
          </li>
          {{- end }}
          <li class="nav-item">
            <a class="nav-link" href="https://gitlab.com/MaxIV/kubernetes/kubepie" target="_blank">About KubePie</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>

  {{- if .WebDAV }}
  <div class="modal fade" id="webDavModal" tabindex="-1" aria-labelledby="loginModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="loginModalLabel">WebDAV Credentials</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <div class="mb-3 d-flex align-items-center">
            <label for="WebDAVURL" class="form-label me-2 mb-0">URL</label>
            <div class="input-group">
              <input type="text" id="WebDAVURL" class="form-control" value="{{ .URLPrefix }}/webdav/" readonly>
              <button class="btn btn-outline-secondary" onclick="copyToClipboard('WebDAVURL', this)">
                <i class="fa-regular fa-copy"></i>
              </button>
            </div>
          </div>
          <div class="mb-3 d-flex align-items-center">
            <label for="username" class="form-label me-2 mb-0">Username</label>
            <div class="input-group">
              <input type="text" id="WebDAVUsername" class="form-control" value="{{ .WebDAV.Username }}" readonly>
              <button class="btn btn-outline-secondary" onclick="copyToClipboard('WebDAVUsername', this)">
                <i class="fa-regular fa-copy"></i>
              </button>
            </div>
          </div>
          <div class="mb-3 d-flex align-items-center">
            <label for="password" class="form-label me-2 mb-0">Password</label>
            <div class="input-group">
              <input type="text" id="WebDAVPassword" class="form-control" value="{{ .WebDAV.Password }}" readonly>
              <button class="btn btn-outline-secondary" onclick="copyToClipboard('WebDAVPassword', this)">
                <i class="fa-regular fa-copy"></i>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  {{- end }}

  <div class="container mt-4">
    <div class="navbar justify-content-start">
      <div class="d-flex">
        <a href="#" class="btn btn-primary btn-sm" id="btnBack"><i class="fas fa-arrow-left icon"></i>Back</a>
      </div>
      {{- if and .ParentDirectory (ne .ParentDirectory "/") }}
      <div class="d-flex ms-1">
        <a href="{{ .ParentDirectory }}" class="btn btn-warning btn-sm">
          <i class="fas fa-arrow-up icon"></i>Parent Directory</a>
      </div>
      {{- end }}
    </div>

    <!-- Directory Table -->
    <table class="table table-bordered table-hover">
      <thead class="table-light">
        <tr>
          <th>Name</th>
          <th>Size</th>
          <th>Last Modified</th>
        </tr>
      </thead>
      <tbody>
        {{- range .Files }}
        <tr>
          <td class="d-flex justify-content-between align-items-center">
            <span>
              {{- if eq .FileType "directory" }}
              <i class="fas fa-folder icon text-warning"></i>
              {{- else if eq .FileType "html" }}
              <i class="fas fa-file-code icon text-info"></i>
              {{- else if eq .FileType "hdf5" }}
              <i class="fas fa-file-archive icon"></i>
              {{- else if eq .FileType "text" }}
              <i class="fas fa-file-code icon text-info"></i>
              {{- else if eq .FileType "pdf" }}
              <i class="fas fa-file-pdf icon text-danger"></i>
              {{- else if eq .FileType "image" }}
              <i class="fas fa-file-image icon text-success"></i>
              {{- else if eq .FileType "archive" }}
              <i class="fas fa-file-archive icon text-secondary"></i>
              {{- else if eq .FileType "file" }}
              <i class="fas fa-file icon"></i>
              {{- else if eq .FileType "application" }}
              <i class="fas fa-file-code icon text-info"></i>
              {{- else if eq .FileType "unknown" }}
              <i class="fas fa-file icon"></i>
              {{- else }}
              <i class="fas fa-file icon"></i>
              {{- end }}
              {{- if eq .FileType "directory" }}
              <a href="{{ .Name }}/" class="text-decoration-none"> {{- .Name -}} </a>
              {{- else }}
              <a href="{{ .Name }}" class="text-decoration-none">{{ .Name }}</a>
              {{- end }}
            </span>
            <span>
              <!-- Actions Placeholder -->
            </span>
          </td>
          {{- if eq .FileType "directory" }}
          <td></td>
          {{- else }}
          <td>{{ .Size }}</td>
          {{- end }}
          <td>{{ .ModTime }}</td>
        </tr>
        {{- end }}
      </tbody>
    </table>
  </div>

  <script src="{{ .URLPrefix }}/piedata/static/builtin/js/bootstrap.bundle.min.js"></script>
  <script src="{{ .URLPrefix }}/piedata/static/piedir/piedir.js"></script>
</body>

</html>